function calcGleitlagerAxial(lang) {

    jQuery('#errormessage-axial').text('');
    jQuery('#laufzeitError-axial').text('');

    var wellendurchmesser, gleitgeschwindigkeit, lagerbreite, betriebsstunden;
    var lagertemperatur, umgebungstemperatur, verunreinigung, belastung;
    var spendergroesse, mehrfachadapter;
    var error;
    
    // Sprache setzten
    if (lang == null) {
        lang = getLanguage();
    }

    // Variablen
    wellendurchmesser    = jQuery('#wellendurchmesser-axial').val();
    gleitgeschwindigkeit = jQuery('#gleitgeschwindigkeit').val();
    lagerbreite          = jQuery('#lagerbreite-axial').val();
    betriebsstunden      = jQuery('#betriebsstunden-axial').val();

    lagertemperatur      = jQuery('#lagertemperatur-axial').val();
    umgebungstemperatur  = jQuery('#umgebungstemperatur-axial').val();
    verunreinigung       = jQuery('#verunreinigung-axial').val();
    belastung            = jQuery('#belastung-axial').val();

    spendergroesse      = jQuery('#Spendergroesse-axial').find('input:checked').val();
    mehrfachadapter     = jQuery('#MehrfachadapterSelect-axial').val();
	

    // Validieren
    isNumeric(wellendurchmesser, 'wellendurchmesser');
    isNumeric(gleitgeschwindigkeit, 'gleitgeschwindigkeit');
    isNumeric(lagerbreite, 'lagerbreite');
    isNumeric(betriebsstunden, 'betriebsstunden');

    // In ein Integer umwandeln
    wellendurchmesser    = parseFloat(wellendurchmesser);
    gleitgeschwindigkeit = parseFloat(gleitgeschwindigkeit);
    lagerbreite          = parseFloat(lagerbreite);
    betriebsstunden      = parseFloat(betriebsstunden);

    if(lang == "us"){
        wellendurchmesser = inchToMm(wellendurchmesser);
        gleitgeschwindigkeit = ftToM(gleitgeschwindigkeit);
        lagerbreite = inchToMm(lagerbreite);

        /**
         * Bereich Slide Bearings Axial:
         * Shaft diameter Maximalwert auf 40 Inches ändern
         */
        if(wellendurchmesser > 1016){
            wellendurchmesser = 1016;
            if(lang == "us"){
                jQuery('#wellendurchmesser-axial').val(40);//40inch
            } else {
                //jQuery('#wellendurchmesser-axial').val(1016);//40inch = 1016mm - for future use
            }
        }
    }

    if (wellendurchmesser < 1) {
	jQuery('#wellendurchmesser').css('border', '1px solid #E40083');
	jQuery('#ImageBoxTitle-axial .laufzeit').text('?');
        jQuery('#ImageBoxContent-axial img').show();
        jQuery('#ImageBoxContent-axial img').attr('src', 'images/0.png');
        jQuery('#ImageBoxContent-axial img').attr('alt', 'Einstellung 0');
	switch (lang) {
            case 'de' :
                error = 'Bitte &uuml;berpr&uuml;fen Sie Ihre Angaben';
                break;
            case 'en' :
            case 'us' :
                error = 'Please check your information';
                break;
            case 'fr' :
                error = "S'il vous pla&icirc;t v&eacute;rifiez vos informations";
                break;
            case 'it' :
            	error = 'Verificare le informazioni';
            	break;
            case 'es' :
                error = 'Verificar la informaci&oacute;n';
                break;
            case 'pl' :
                error = 'Sprawd&#378; swoje informacje';
                break;
            case 'jp' :
                error = '&#20877;&#24230;&#24773;&#22577;&#12434;&#20837;&#12428;&#12394;&#12362;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;';
                break;
            case 'ru' :
                error = 'Пожалуйста проверьте вашу информацию';
                break;
            case 'cn' :
                error = '请查阅您的信息';
                break;
            case 'pt' :
                error = 'Por favor verifique a sua informação';
                break;
        }
        jQuery('#errormessage-axial').html(error);
    }

    if (lagerbreite > 300) {
        lagerbreite = 300;
        if(lang == "us"){
            jQuery('#lagerbreite, #lagerbreite-axial').val(round(mmToInch(lagerbreite),1));
        } else{
            jQuery('#lagerbreite, #lagerbreite-axial').val(lagerbreite);
        }
    } else if (lagerbreite < 1) {
        lagerbreite = 1;
        if(lang == "us"){
            jQuery('#lagerbreite, #lagerbreite-axial').val(round(mmToInch(lagerbreite),1));
        } else{
            jQuery('#lagerbreite, #lagerbreite-axial').val(lagerbreite);
    }
    }

    if (gleitgeschwindigkeit > 2.00) {
        jQuery('#gleitgeschwindigkeit').css('border', '1px solid #E40083');
		jQuery('#ImageBoxTitle-axial .laufzeit').text('?');
        jQuery('#ImageBoxContent-axial img').show();
        jQuery('#ImageBoxContent-axial img').attr('src', 'images/0.png');
        jQuery('#ImageBoxContent-axial img').attr('alt', 'Einstellung 0');
        jQuery('#laufzeitError-axial').text('');
        switch (lang) {
            case 'de' :
                error = 'Gleitgeschwindigkeit zu hoch';
                break;
            case 'en' :
            case 'us' :
                error = 'Sliding speed is too high';
                break;
            case 'fr' :
                error = "Vitesse de glissage trop &eacute;lev&eacute;e";
                break;
            case 'it' :
            	error = 'Velocit&agrave; di scorrimento troppo elevata';
            	break;
            case 'es' :
                error = 'Velocidad deslizamiento demasiado alta';
                break;
            case 'pl' :
                error = 'Pr&#281;dko&#347;&#263; osiowa za wysoka';
                break;
            case 'jp' :
                error = '&#12473;&#12521;&#12452;&#12489;&#12473;&#12500;&#12540;&#12489;&#12364;&#36895;&#12377;&#12366;&#12414;&#12377;';
                break;
           	case 'ru' :
                error = 'Скорость скольжения слишком высока';
                break;
            case 'cn' :
                error = '滑动速度太快';
                break;
            case 'pt' :
                error = 'Velocidade de deslizamento demasiado alta';
                break;
        }
        jQuery('#errormessage-axial').html(error);
    }
    
    if (betriebsstunden > 24) {
        betriebsstunden = 24;
        jQuery('#betriebsstunden').val(betriebsstunden);
    } else if (betriebsstunden < 1) {
        betriebsstunden = 1;
        jQuery('#betriebsstunden').val(betriebsstunden);
    }


/*******************************************************************************
*   Berechnung
*******************************************************************************/

    var gleitlager, korrektur_gleitwert, stossbelastung, einbaulage, fettzufuhr, faktor_e;
    var gleitgeschwindigkeit_m_min, theoretische_drehzahl;
    var b2;
    var gleitwert;
    var schmierfrist;
    var fettmaenge, fettmaenge_tag;
    var korrekturfaktor, t_relub, qf_zufuehrrate, fettmaenge_aktuell, korrigierte_laufzeit;

    // Variablen
    gleitlager          = 0.1;
    korrektur_gleitwert = 1.5;
    stossbelastung      = 0.7;
    einbaulage          = 0.5;
    fettzufuhr          = 1.0;
    faktor_e            = 2.71828183;

    // Theoretische Drehzahl berechnen
    gleitgeschwindigkeit_m_min  = gleitgeschwindigkeit * 60;
    theoretische_drehzahl       = gleitgeschwindigkeit_m_min / (wellendurchmesser * 3.14) * 1000;

    // Korrektur Gleitwert berechnen
    b2 = korrektur_gleitwert * gleitgeschwindigkeit;

    // Gleitwert berechnen
    gleitwert = wellendurchmesser * theoretische_drehzahl;
    
    // Schmierfrist berechnen
    schmierfrist = 0.00000100 * -6.00000000;
    schmierfrist = schmierfrist * gleitwert;
    schmierfrist = Math.pow(faktor_e, schmierfrist);
    schmierfrist = schmierfrist * 6390.5;
    schmierfrist = schmierfrist * gleitlager / b2;

    // Fettmänge
    fettmaenge      = 0.005 * wellendurchmesser * lagerbreite;
    fettmaenge_tag  = 24 * (fettmaenge / schmierfrist);

    // Betriebskorrektur
    korrekturfaktor         = lagertemperatur * verunreinigung * stossbelastung * einbaulage * fettzufuhr;
    t_relub                 = schmierfrist * korrekturfaktor * (24 / betriebsstunden);
    qf_zufuehrrate          = 24 * (fettmaenge / t_relub);
    fettmaenge_aktuell      = spendergroesse * mehrfachadapter;
    korrigierte_laufzeit    = fettmaenge_aktuell / (qf_zufuehrrate * 30.4) * umgebungstemperatur;

/*******************************************************************************
*   Ausgabe
*******************************************************************************/

    var laufzeit;

    laufzeit = Math.round(korrigierte_laufzeit);
	

    if (laufzeit >= 0 && laufzeit <= 12) {
        jQuery('#ImageBoxTitle-axial .laufzeit').text(laufzeit);
        jQuery('#ImageBoxContent-axial img').show();
        jQuery('#ImageBoxContent-axial img').attr('src', 'images/' + laufzeit + '.png');
        jQuery('#ImageBoxContent-axial img').attr('alt', 'Einstellung ' + laufzeit);
    }

    // Bei Error keine Ausgabe
    if (jQuery('#errormessage-axial').text() != '') {
        jQuery('#ImageBoxTitle-axial .laufzeit').text('?');
        jQuery('#ImageBoxContent-axial img').show();
        jQuery('#ImageBoxContent-axial img').attr('src', 'images/0.png');
        jQuery('#ImageBoxContent-axial img').attr('alt', 'Einstellung 0');
        jQuery('#laufzeitError-axial').text('');
    } else {
        if (laufzeit >= 0 && laufzeit <= 12) {
            jQuery('#ImageBoxTitle-axial .laufzeit').text(laufzeit);
            jQuery('#ImageBoxContent-axial img').show();
            jQuery('#ImageBoxContent-axial img').attr('src', 'images/' + laufzeit + '.png');
            jQuery('#ImageBoxContent-axial img').attr('alt', 'Einstellung ' + laufzeit);
        }

        // Ausgabe unter 1 oder über 12
        if (laufzeit > 12) {
            jQuery('#ImageBoxTitle-axial .laufzeit').text('?');
            jQuery('#ImageBoxContent-axial img').hide();

            switch (lang) {
                case 'de' :
                    error = 'Bitte kleineren Spender w&auml;hlen';
                    break;
                case 'en' :
                case 'us' :
                    error = 'Please choose a smaller lubricator';
                    break;
                case 'fr' :
                    error = "Choisissez un graisseur plus petit";
                    break;
                case 'it' :
                	error = "Scegliere un lubrificatore pi&ugrave; piccolo";
                	break;
                case 'es' :
                    error = "Elige un lubricador m&aacute;s peque&ntilde;o";
                    break;
                case 'pl' :
                    error = 'Prosz&#281; wybierz mniejsz&#261; smarownic&#281;';
                    break;
                case 'jp' :
                    error = '&#23567;&#12373;&#12356;&#12469;&#12452;&#12474;&#12434;&#36984;&#25246;&#12367;&#12384;&#12373;&#12356;';
                    break;
                case 'ru' :
                    error = 'Выберите лубрикатор меньшего объема';
                    break;
                case 'cn' :
                    error = '请选择较小的注油器';
                    break;
                case 'pt' :
                    error = 'Por favor, escolha um lubrificador mais pequeno';
                    break;
            }
            jQuery('#laufzeitError-axial').html(error);

            if (spendergroesse == '13.5') {
                jQuery('#ImageBoxTitle-axial .laufzeit').text('12');
                jQuery('#ImageBoxContent-axial img').attr('src', 'images/12.png');
                jQuery('#ImageBoxContent-axial img').attr('alt', 'Einstellung 12');
                jQuery('#ImageBoxContent-axial img').show();
                jQuery('#laufzeitError-axial').html('');
            }

        } else if (laufzeit < 1) {
            jQuery('#ImageBoxTitle-axial .laufzeit').text('?');
            jQuery('#ImageBoxContent-axial img').hide();

            switch (lang) {
                case 'de' :
                    error = 'Bitte gr&ouml;sseren Spender w&auml;hlen';
                    break;
                case 'en' :
                case 'us' :
                    error = 'Please choose a larger lubricator';
                    break;
                case 'fr' :
                    error = "Choisissez un graisseur plus grand";
                    break;
                case 'it' :
                	error = "Scegliere un lubrificatore pi&ugrave; grande";
                	break;
                case 'es' :
                    error = "Elige un lubricador m&aacute;s grande";
                    break;
                case 'pl' :
                    error = 'Prosz&#281; wybierz wi&#281;ksz&#261; smarownic&#281;';
                    break;
                case 'jp' :
                    error = '&#22823;&#12365;&#12356;&#12469;&#12452;&#12474;&#12434;&#36984;&#25246;&#12367;&#12384;&#12373;&#12356;';
                    break;
                case 'ru' :
                    error = 'Выберите лубрикатор большего объема';
                    break;
                case 'cn' :
                    error = '请选择较大的注油器';
                    break;
                case 'pt' :
                    error = 'Por favor, escolha um lubrificador maior';
                    break;
            }
            jQuery('#laufzeitError-axial').html(error);

            if (spendergroesse == '225') {
                switch (lang) {
                case 'de' :
                    error = 'Bitte Mehrfachadapter w&auml;hlen';
                    break;
                case 'en' :
                case 'us' :
                    error = 'Please choose a manifold adapter';
                    break;
                case 'fr' :
                    error = "Choisissez un adaptateur multiple";
                    break;
                case 'it' :
                	error = 'Scegliere un adattatore multiplo';
                	break;
                case 'es' :
                    error = "Elija un adaptador m&uacute;ltiple";
                    break;
                case 'pl' :
                    error = 'Prosz&#281; wybierz adapter wielopunktowy';
                    break;
                case 'jp' :
                    error = '&#12510;&#12491;&#12517;&#12507;&#12540;&#12523;&#12489;&#12450;&#12480;&#12503;&#12479;&#12540;&#12434;&#36984;&#25246;&#12367;&#12384;&#12373;&#12356;';
                    break;
                case 'ru' :
                    error = 'Пожалуйста, выберете переходник коллектора';
                    break;
                case 'cn' :
                    error = '请选择多瓶出一油器板';
                    break;
                case 'pt' :
                    error = 'Por favor, escolha um adaptador de colector';
                    break;
            }
            jQuery('#laufzeitError-axial').html(error);
            }
        }
    }
}