function calcHandschmierung(lang) {

    jQuery('#errormessage-handschmierung').text('');
    jQuery('#laufzeitError-handschmierung').text('');

    var schmiergeraet, anzahl_huebe, hub, hub_einheit, intervall, intervall_einheit, schmierstoff;
    var spendergroesse, mehrfachadapter;
	
	// Sprache setzten
    if (lang == null) {
        lang = getLanguage();
    }

    // Variablen
    schmiergeraet       = jQuery('#schmiergeraet').val();
    anzahl_huebe        = jQuery('#anzahl_huebe').val();
    hub                 = jQuery('#hub').val();
    hub_einheit         = jQuery('#hub_einheit').val();
    intervall           = jQuery('#intervall').val();
    intervall_einheit   = jQuery('#intervall_einheit').val();
    schmierstoff        = jQuery('#schmierstoff-handschmierung').val();

    spendergroesse      = jQuery('#Spendergroesse-Handschmierung').find('input:checked').val();
    mehrfachadapter     = jQuery('#MehrfachadapterSelect-Handschmierung').val();

    // Validieren
    isNumeric(hub, 'hub');
    isNumeric(intervall, 'intervall');

    // In ein Integer umwandeln
    hub         = parseFloat(hub);
    intervall   = parseFloat(intervall);

    // Intervall Umrechnung pro Einheit
    if (intervall_einheit == '24') {
        intervall = intervall / 24;
    }

/*******************************************************************************
*   Berechnung
*******************************************************************************/

    var schmierstoff_jahr, schmierstoff_monat, schmierstoff_tag, schmierstoff_woche;
    var korrigierte_laufzeit;

    // Umrechnung ml Hub ml <-> fl oz
    hub = hub / hub_einheit;

    // Schmierstoffbedarf
    schmierstoff_jahr   = (360 / intervall) * anzahl_huebe * hub;

    schmierstoff_monat	= schmierstoff_jahr / 12;
    schmierstoff_tag	= schmierstoff_jahr / 360;
    schmierstoff_woche	= schmierstoff_tag * 7;

    // Laufzeit berechnen
    korrigierte_laufzeit = 12 / (schmierstoff_jahr / spendergroesse) * mehrfachadapter;

/*******************************************************************************
*   Ausgabe
*******************************************************************************/

    var laufzeit, error;

    // Tabelle 'Ergebnisse' abfüllen

    if(lang && lang == "us"){
        schmierstoff_jahr = gramToOz(schmierstoff_jahr);
        schmierstoff_monat = gramToOz(schmierstoff_monat);
        schmierstoff_woche = gramToOz(schmierstoff_woche);
        schmierstoff_tag = gramToOz(schmierstoff_tag);

    schmierstoff_tag   = round(schmierstoff_tag, 1);
    schmierstoff_woche = round(schmierstoff_woche, 1);
    schmierstoff_monat = round(schmierstoff_monat, 1);
    schmierstoff_jahr  = round(schmierstoff_jahr, 1);
    } else {

        schmierstoff_tag   = round(schmierstoff_tag, 1);
        schmierstoff_woche = round(schmierstoff_woche, 1);
        schmierstoff_monat = round(schmierstoff_monat, 1);
        schmierstoff_jahr  = round(schmierstoff_jahr, 1);
    }


    jQuery('#schmierstoff_tag').text(schmierstoff_tag);
    jQuery('#schmierstoff_woche').text(schmierstoff_woche);
    jQuery('#schmierstoff_monat').text(schmierstoff_monat);
    jQuery('#schmierstoff_jahr').text(schmierstoff_jahr);
    
    // Tabelle 'Ergebnisse' ein- bzw. ausblenden
    if (jQuery('#errormessage-handschmierung').text() != '') {
        jQuery('#ergebnisse').hide();
    } else {
        jQuery('#ergebnisse').show();
    }

    laufzeit = Math.round(korrigierte_laufzeit);

    // Bei Error keine Ausgabe
    if (jQuery('#errormessage-handschmierung').text() != '') {
        jQuery('#ImageBoxTitle-Handschmierung .laufzeit').text('?');
        jQuery('#ImageBoxContent-Handschmierung img').show();
        jQuery('#ImageBoxContent-Handschmierung img').attr('src', 'images/0.png');
        jQuery('#ImageBoxContent-Handschmierung img').attr('alt', 'Einstellung 0');
        jQuery('#laufzeitError-handschmierung').text('');
    } else {
        if (laufzeit >= 0 && laufzeit <= 12) {
            jQuery('#ImageBoxTitle-Handschmierung .laufzeit').text(laufzeit);
            jQuery('#ImageBoxContent-Handschmierung img').show();
            jQuery('#ImageBoxContent-Handschmierung img').attr('src', 'images/' + laufzeit + '.png');
            jQuery('#ImageBoxContent-Handschmierung img').attr('alt', 'Einstellung ' + laufzeit);
        }

        // Ausgabe unter 1 oder über 12
        if (laufzeit > 12) {
            jQuery('#ImageBoxTitle-Handschmierung .laufzeit').text('?');
            jQuery('#ImageBoxContent-Handschmierung img').hide();

            switch (lang) {
                case 'de' :
                    error = 'Bitte kleineren Spender w&auml;hlen';
                    break;
                case 'en' :
                case 'us' :
                    error = 'Please choose a smaller lubricator';
                    break;
                case 'fr' :
                    error = "Choisissez un graisseur plus petit";
                    break;
                case 'it' :
                	error = "Scegliere un lubrificatore pi&ugrave; piccolo";
                	break;
                case 'es' :
                    error = "Elige un lubricador m&aacute;s peque&ntilde;o";
                    break;
                case 'pl' :
                    error = 'Prosz&#281; wybierz mniejsz&#261; smarownic&#281;';
                    break;
                case 'jp' :
                    error = '&#23567;&#12373;&#12356;&#12469;&#12452;&#12474;&#12434;&#36984;&#25246;&#12367;&#12384;&#12373;&#12356;';
                    break;
                 case 'ru' :
                    error = 'Выберите лубрикатор меньшего объема';
                    break;
                case 'cn' :
                    error = '请选择较小的注油器';
                    break;
                case 'pt' :
                    error = 'Por favor, escolha um lubrificador mais pequeno';
                    break;
            }
            jQuery('#laufzeitError-handschmierung').html(error);

            if (spendergroesse == '13.5') {
                jQuery('#ImageBoxTitle-Handschmierung .laufzeit').text('12');
                jQuery('#ImageBoxContent-Handschmierung img').attr('src', 'images/12.png');
                jQuery('#ImageBoxContent-Handschmierung img').attr('alt', 'Einstellung 12');
                jQuery('#ImageBoxContent-Handschmierung img').show();
                jQuery('#laufzeitError-handschmierung').html('');
            }

        } else if (laufzeit < 1) {
            jQuery('#ImageBoxTitle-Handschmierung .laufzeit').text('?');
            jQuery('#ImageBoxContent-Handschmierung img').hide();

            switch (lang) {
                case 'de' :
                    error = 'Bitte gr&ouml;sseren Spender w&auml;hlen';
                    break;
                case 'en' :
                case 'us' :
                    error = 'Please choose a larger lubricator';
                    break;
                case 'fr' :
                    error = "Choisissez un graisseur plus grand";
                    break;
                case 'it' :
                	error = "Scegliere un lubrificatore pi&ugrave; grande";
                	break;
                case 'es' :
                    error = "Elige un lubricador m&aacute;s grande";
                    break;
                case 'pl' :
                    error = 'Prosz&#281; wybierz wi&#281;ksz&#261; smarownic&#281;';
                    break;
                case 'jp' :
                    error = '&#22823;&#12365;&#12356;&#12469;&#12452;&#12474;&#12434;&#36984;&#25246;&#12367;&#12384;&#12373;&#12356;';
                    break;
                case 'ru' :
                    error = 'Выберите лубрикатор большего объема';
                    break;
                case 'cn' :
                    error = '请选择较大的注油器';
                    break;
                case 'pt' :
                    error = 'Por favor, escolha um lubrificador maior';
                    break;
            }
            jQuery('#laufzeitError-handschmierung').html(error);

            if (spendergroesse == '225') {
                switch (lang) {
                case 'de' :
                    error = 'Bitte Mehrfachadapter w&auml;hlen';
                    break;
                case 'en' :
                case 'us' :
                    error = 'Please choose a manifold adapter';
                    break;
                case 'fr' :
                    error = "Choisissez un adaptateur multiple";
                    break;
                case 'it' :
                	error = 'Scegliere un adattatore multiplo';
                	break;
                case 'es' :
                    error = "Elija un adaptador m&uacute;ltiple";
                    break;
                case 'pl' :
                    error = 'Prosz&#281; wybierz adapter wielopunktowy';
                    break;
                case 'jp' :
                    error = '&#12510;&#12491;&#12517;&#12507;&#12540;&#12523;&#12489;&#12450;&#12480;&#12503;&#12479;&#12540;&#12434;&#36984;&#25246;&#12367;&#12384;&#12373;&#12356;';
                    break;
                case 'ru' :
                    error = 'Пожалуйста, выберете переходник коллектора';
                    break;
                case 'cn' :
                    error = '请选择多瓶出一油器板';
                    break;
                case 'pt' :
                    error = 'Por favor, escolha um adaptador de colector';
                    break;
            }
            jQuery('#laufzeitError-handschmierung').html(error);
            }
        }
    }
}