function calcKetten(lang) {

    jQuery('#errormessage-ketten').text('');
    jQuery('#laufzeitError-ketten').text('');

    var schmierstoff, laenge, breite, reihen, geschwindigkeit, betriebsstunden;
    var umgebungstemperatur, verunreinigung;
    var spendergroesse, mehrfachadapter;
    var error;
    
    // Sprache setzten
    if (lang == null) {
        lang = getLanguage();
    }

    // Variablen
    schmierstoff        = jQuery('#schmierstoff-ketten').val();
    laenge              = jQuery('#laenge').val();
    breite              = jQuery('#breite').val();
    reihen              = jQuery('#reihen').val();
    geschwindigkeit     = jQuery('#geschwindigkeit').val();
    betriebsstunden     = jQuery('#betriebsstunden-ketten').val();

    umgebungstemperatur = jQuery('#umgebungstemperatur-ketten').val();
    verunreinigung      = jQuery('#verunreinigung-ketten').val();

    spendergroesse      = jQuery('#Spendergroesse-Ketten').find('input:checked').val();
    mehrfachadapter     = jQuery('#MehrfachadapterSelect-Ketten').val();

    // Validieren
    isNumeric(laenge, 'laenge');
    isNumeric(breite, 'breite');
    isNumeric(reihen, 'reihen');
    isNumeric(geschwindigkeit, 'geschwindigkeit');
    isNumeric(betriebsstunden, 'betriebsstunden');

    // In ein Integer umwandeln
    laenge          = parseFloat(laenge);
    breite          = parseFloat(breite);
    reihen          = parseFloat(reihen);
    geschwindigkeit = parseFloat(geschwindigkeit);
    betriebsstunden = parseFloat(betriebsstunden);


    if(lang == "us"){
        laenge = ftToM(laenge);
        breite = inchToMm(breite);
        geschwindigkeit = ftToM(geschwindigkeit);//ft/s -> m/s

        /**
         * Bereich Chains:
         * Den Maximalwert bei der Länge auf 3300 ft. ändern
         */
        if(laenge > 1006.1){
            laenge = 1006.1;
            if(lang == "us"){
                jQuery('#laenge').val(3300);
            } else {
                //jQuery('#laenge').val(laenge);//for future use
            }
        }
    }

    // Angaben überprüfen evtl. neu setzen
    if (laenge < 0) {
        laenge = 0;
        jQuery('#laenge').val(laenge);
    }

    if (breite < 0) {
        breite = 0;
        jQuery('#breite').val(breite);
    } else if (breite > 100) {
        breite = 100;
        if(lang == "us"){
            jQuery('#breite').val(round(mmToInch(breite),1));
        } else {
        jQuery('#breite').val(breite);
    }
    }

    if (geschwindigkeit > 2.00) {
        jQuery('#ImageBoxTitle-Ketten .laufzeit').text('?');
        jQuery('#ImageBoxContent-Ketten img').show();
        jQuery('#ImageBoxContent-Ketten img').attr('src', 'images/0.png');
        jQuery('#ImageBoxContent-Ketten img').attr('alt', 'Einstellung 0');
        jQuery('#laufzeitError-ketten').text('');
        switch (lang) {
            case 'de' :
                error = 'Kettengeschwindigkeit zu hoch';
                break;
            case 'en' :
            case 'us' :
                error = 'Speed of chain is too high';
                break;
            case 'fr' :
                error = "Vitesse de la cha&icirc;ne trop &eacute;lev&eacute;e";
                break;
            case 'it' :
            	error = 'Velocit&agrave; della catena troppo elevata';
            	break;
            case 'es' :
                error = 'Velocidad de la cadena demasiado alta';
                break;
            case 'pl' :
                error = 'Pr&#281;dko&#347;&#263; &#322;a&#324;cucha za wysoka';
                break;
            case 'jp' :
                error = '&#12481;&#12455;&#12540;&#12531;&#12473;&#12500;&#12540;&#12489;&#12364;&#36895;&#12377;&#12366;&#12414;&#12377;';
                break;
            case 'ru' :
                error = 'Скорость работы цепи слишком высокая';
                break;
            case 'cn' :
                error = '链条速度太快';
                break;
            case 'pt' :
                error = 'Velocidade da corrente demasiado alta';
                break;
        }
        jQuery('#errormessage-ketten').html(error);
    }

    if (betriebsstunden > 24) {
        betriebsstunden = 24;
        jQuery('#betriebsstunden').val(betriebsstunden);
    } else if (betriebsstunden < 1) {
        betriebsstunden = 1;
        jQuery('#betriebsstunden').val(betriebsstunden);
    }


/*******************************************************************************
*   Berechnung
*******************************************************************************/

    var geschwindigkeit_m_min, schmiermaenge_tag;
    var laenge_faktor, breite_faktor, reihen_faktor, geschwindigkeit_faktor;
    var korrektursfaktor, maenge_tag, fettmaenge_aktuell, korrigierte_laufzeit;

    geschwindigkeit_m_min   = geschwindigkeit * 60;
    schmiermaenge_tag       = 100;

    // Faktor berechnen
    laenge_faktor = laenge * 1;
    if (breite <= 40) {breite_faktor = 1;}
    if (breite <= 70 && breite > 40) {breite_faktor = 1.3;}
    if (breite <= 100 && breite > 70) {breite_faktor = 1.6;}
    reihen_faktor = (reihen - 1) * 0.3 + 1;
    geschwindigkeit_faktor = geschwindigkeit * 2;

    // Betriebskorrektur
    korrektursfaktor     = laenge_faktor * breite_faktor * reihen_faktor * geschwindigkeit_faktor / schmiermaenge_tag;
    maenge_tag           = korrektursfaktor * betriebsstunden;
    fettmaenge_aktuell   = spendergroesse * mehrfachadapter;
    korrigierte_laufzeit = fettmaenge_aktuell / (maenge_tag * 30.4) * umgebungstemperatur;

/*******************************************************************************
*   Ausgabe
*******************************************************************************/

    var laufzeit;

    laufzeit = Math.round(korrigierte_laufzeit);

    if (laufzeit >= 0 && laufzeit <= 12) {
        jQuery('#ImageBoxTitle-Ketten .laufzeit').text(laufzeit);
        jQuery('#ImageBoxContent-Ketten img').show();
        jQuery('#ImageBoxContent-Ketten img').attr('src', 'images/' + laufzeit + '.png');
        jQuery('#ImageBoxContent-Ketten img').attr('alt', 'Einstellung ' + laufzeit);
    }

    // Bei Error keine Ausgabe
    if (jQuery('#errormessage-ketten').text() != '') {
        jQuery('#ImageBoxTitle-Ketten .laufzeit').text('?');
        jQuery('#ImageBoxContent-Ketten img').show();
        jQuery('#ImageBoxContent-Ketten img').attr('src', 'images/0.png');
        jQuery('#ImageBoxContent-Ketten img').attr('alt', 'Einstellung 0');
        jQuery('#laufzeitError-ketten').text('');
    } else {
        if (laufzeit >= 0 && laufzeit <= 12) {
            jQuery('#ImageBoxTitle-Ketten .laufzeit').text(laufzeit);
            jQuery('#ImageBoxContent-Ketten img').show();
            jQuery('#ImageBoxContent-Ketten img').attr('src', 'images/' + laufzeit + '.png');
            jQuery('#ImageBoxContent-Ketten img').attr('alt', 'Einstellung ' + laufzeit);
        }

        // Ausgabe unter 1 oder über 12
        if (laufzeit > 12) {
            jQuery('#ImageBoxTitle-Ketten .laufzeit').text('?');
            jQuery('#ImageBoxContent-Ketten img').hide();

            switch (lang) {
                case 'de' :
                    error = 'Bitte kleineren Spender w&auml;hlen';
                    break;
                case 'en' :
                case 'us' :
                    error = 'Please choose a smaller lubricator';
                    break;
                case 'fr' :
                    error = "Choisissez un graisseur plus petit";
                    break;
                case 'it' :
                	error = "Scegliere un lubrificatore pi&ugrave; piccolo";
                	break;
                case 'es' :
                    error = "Elige un lubricador m&aacute;s peque&ntilde;o";
                    break;
                case 'pl' :
                    error = 'Prosz&#281; wybierz mniejsz&#261; smarownic&#281;';
                    break;
                case 'jp' :
                    error = '&#23567;&#12373;&#12356;&#12469;&#12452;&#12474;&#12434;&#36984;&#25246;&#12367;&#12384;&#12373;&#12356;';
                    break;
                case 'ru' :
                    error = 'Выберите лубрикатор меньшего объема';
                    break;
                case 'cn' :
                    error = '请选择较小的注油器';
                    break;
                case 'pt' :
                    error = 'Por favor, escolha um lubrificador mais pequeno';
                    break;
            }
            jQuery('#laufzeitError-ketten').html(error);

            if (spendergroesse == '13.5') {
                jQuery('#ImageBoxTitle-Ketten .laufzeit').text('12');
                jQuery('#ImageBoxContent-Ketten img').attr('src', 'images/12.png');
                jQuery('#ImageBoxContent-Ketten img').attr('alt', 'Einstellung 12');
                jQuery('#ImageBoxContent-Ketten img').show();
                jQuery('#laufzeitError-ketten').html('');
            }

        } else if (laufzeit < 1) {
            jQuery('#ImageBoxTitle-Ketten .laufzeit').text('?');
            jQuery('#ImageBoxContent-Ketten img').hide();

            switch (lang) {
                case 'de' :
                    error = 'Bitte gr&ouml;sseren Spender w&auml;hlen';
                    break;
                case 'en' :
                case 'us' :
                    error = 'Please choose a larger lubricator';
                    break;
                case 'fr' :
                    error = "Choisissez un graisseur plus grand";
                    break;
                case 'it' :
                	error = "Scegliere un lubrificatore pi&ugrave; grande";
                	break;
                case 'es' :
                    error = "Elige un lubricador m&aacute;s grande";
                    break;
                case 'pl' :
                    error = 'Prosz&#281; wybierz wi&#281;ksz&#261; smarownic&#281;';
                    break;
                case 'jp' :
                    error = '&#22823;&#12365;&#12356;&#12469;&#12452;&#12474;&#12434;&#36984;&#25246;&#12367;&#12384;&#12373;&#12356;';
                    break;
                case 'ru' :
                    error = 'Выберите лубрикатор большего объема';
                    break;
                case 'cn' :
                    error = '请选择较大的注油器';
                    break;
                case 'pt' :
                    error = 'Por favor, escolha um lubrificador maior';
                    break;
            }
            jQuery('#laufzeitError-ketten').html(error);

            if (spendergroesse == '225') {
                switch (lang) {
                case 'de' :
                    error = 'Bitte Mehrfachadapter w&auml;hlen';
                    break;
                case 'en' :
                case 'us' :
                    error = 'Please choose a manifold adapter';
                    break;
                case 'fr' :
                    error = "Choisissez un adaptateur multiple";
                    break;
                case 'it' :
                	error = 'Scegliere un adattatore multiplo';
                	break;
                case 'es' :
                    error = "Elija un adaptador m&uacute;ltiple";
                    break;
                case 'pl' :
                    error = 'Prosz&#281; wybierz adapter wielopunktowy';
                    break;
                case 'jp' :
                    error = '&#12510;&#12491;&#12517;&#12507;&#12540;&#12523;&#12489;&#12450;&#12480;&#12503;&#12479;&#12540;&#12434;&#36984;&#25246;&#12367;&#12384;&#12373;&#12356;';
                    break;
               	case 'ru' :
                    error = 'Пожалуйста, выберете переходник коллектора';
                    break;
                case 'cn' :
                    error = '请选择多瓶出一油器板';
                    break;
                case 'pt' :
                    error = 'Por favor, escolha um adaptador de colector';
                    break;
            }
            jQuery('#laufzeitError-ketten').html(error);
            }
        }
    }
}