function calcLager(lang) {

    jQuery('#errormessage-lager').text('');
	jQuery('#laufzeitError-lager').text('');

    var lager, schmierstoff, innendurchmesser, aussendurchmesser, lagerbreite, drehzahl, betriebsstunden;
    var lagertemperatur, umgebungstemperatur, verunreinigung, einbaulage, belastung, fettzufuhr, stossbelastung, aussenring;
    var spendergroesse, mehrfachadapter;
    var error;
	
	// Sprache setzten
	if (lang == null) {
		lang = getLanguage();
	}

    // Variablen
    lager               = jQuery('#lager').val();
    schmierstoff        = jQuery('#schmierstoff-lager').val();
    innendurchmesser    = jQuery('#innendurchmesser').val();
    aussendurchmesser   = jQuery('#aussendurchmesser').val();
    lagerbreite         = jQuery('#lagerbreite-lager').val();
    drehzahl            = jQuery('#drehzahl').val();
    betriebsstunden     = jQuery('#betriebsstunden-lager').val();

    lagertemperatur     = jQuery('#lagertemperatur-lager').val();
    umgebungstemperatur = jQuery('#umgebungstemperatur-lager').val();
    verunreinigung      = jQuery('#verunreinigung-lager').val();
    einbaulage          = jQuery('#einbaulage').val();
    belastung           = jQuery('#belastung-lager').val();
    fettzufuhr          = jQuery('#fettzufuhr').val();
    stossbelastung      = jQuery('#stossbelastung').val();
    aussenring          = jQuery('#aussenringDiv').find('input:checked').val();

    spendergroesse      = jQuery('#Spendergroesse-Lager').find('input:checked').val();
    mehrfachadapter     = jQuery('#MehrfachadapterSelect-Lager').val();

    // Validieren
    isNumeric(innendurchmesser, 'innendurchmesser');
    isNumeric(aussendurchmesser, 'aussendurchmesser');
    isNumeric(lagerbreite, 'lagerbreite');
    isNumeric(drehzahl, 'drehzahl');
    isNumeric(betriebsstunden, 'betriebsstunden');

    // In ein Integer umwandeln
    innendurchmesser    = parseFloat(innendurchmesser);
    aussendurchmesser   = parseFloat(aussendurchmesser);
    lagerbreite         = parseFloat(lagerbreite);
    drehzahl            = parseFloat(drehzahl);
    betriebsstunden     = parseFloat(betriebsstunden);
    
    if(lang == "us"){
        innendurchmesser = inchToMm(innendurchmesser);
        aussendurchmesser = inchToMm(aussendurchmesser);
        lagerbreite = inchToMm(lagerbreite);
    }

    if (innendurchmesser > aussendurchmesser && jQuery('#errormessage-lager').text() == '') {
        switch (lang) {
            case 'de' :
                error = 'Aussendurchmesser < Innendurchmesser';
                break;
            case 'en' :
            case 'us' :
                error = 'Outer diameter < inner diameter';
                break;
            case 'fr' :
                error = 'Diam&egrave;tre ext&eacute;rieur < diam&egrave;tre int&eacute;rieur';
                break;
            case 'it' :
                error = 'Diametro esterno < diametro interno';
                break;
            case 'es' :
                error = 'Di&aacute;metro exterior < di&aacute;metro interior';
                break;
            case 'pl' :
                error = '&#346;rednica zewn&#281;trzna < &#347;rednica wewn&#281;trzna';
                break;
            case 'jp' :
                error = '&#20869;&#24452;&#12364;&#22806;&#24452;&#12424;&#12426;&#12418;&#22823;&#12365;&#12367;&#12394;&#12387;&#12390;&#12356;&#12414;&#12377;';
                break;
            case 'ru' :
                error = 'Внешний диаметр < Внутренний диаметр';
                break;
           	case 'cn' :
                error = '外径 < 内径';
                break;
            case 'pt' :
                error = 'Diâmetro exterior < diâmetro interior';
                break;
        }
        jQuery('#errormessage-lager').html(error);
    }

    // Angaben überprüfen evtl. neu setzen
    if (innendurchmesser > 300) {
        innendurchmesser = 300;

        if(lang == "us"){
            jQuery('#innendurchmesser').val(round(mmToInch(innendurchmesser),1));//ACHTUNG: var innendurchmesser NICHT neu setzen, sondern nur für Frontend Darstellung umrechnen!
        } else {
        jQuery('#innendurchmesser').val(innendurchmesser);
        }
    } else if (innendurchmesser < 1) {
        innendurchmesser = 1;
        if(lang == "us"){
            jQuery('#innendurchmesser').val(round(mmToInch(innendurchmesser),1));//ACHTUNG: var innendurchmesser NICHT neu setzen, sondern nur für Frontend Darstellung umrechnen!
        } else {
        jQuery('#innendurchmesser').val(innendurchmesser);
    }
    }

    if (aussendurchmesser > 800) {
        aussendurchmesser = 800;
        if(lang == "us"){
            jQuery('#aussendurchmesser').val(round(mmToInch(aussendurchmesser),1));//ACHTUNG: var aussendurchmesser NICHT neu setzen, sondern nur für Frontend Darstellung umrechnen!
        } else {
        jQuery('#aussendurchmesser').val(aussendurchmesser);
        }
    } else if (aussendurchmesser < 1) {
        aussendurchmesser = 1;
        if(lang == "us"){
            jQuery('#aussendurchmesser').val(round(mmToInch(aussendurchmesser),1));//ACHTUNG: var aussendurchmesser NICHT neu setzen, sondern nur für Frontend Darstellung umrechnen!
        } else {
        jQuery('#aussendurchmesser').val(aussendurchmesser);
    }
    }

    if (lagerbreite > 300) {
        lagerbreite = 300;
        if(lang == "us"){
            jQuery('#lagerbreite').val(round(mmToInch(lagerbreite),1));//ACHTUNG: var lagerbreite NICHT neu setzen, sondern nur für Frontend Darstellung umrechnen!
            jQuery('#lagerbreite-lager').val(round(mmToInch(lagerbreite),1));//ACHTUNG: var lagerbreite NICHT neu setzen, sondern nur für Frontend Darstellung umrechnen!
        } else {
        jQuery('#lagerbreite').val(lagerbreite);
            jQuery('#lagerbreite-lager').val(lagerbreite);
        }
    } else if (lagerbreite < 1) {
        lagerbreite = 1;
        if(lang == "us"){
            jQuery('#lagerbreite').val(round(mmToInch(lagerbreite),1));//ACHTUNG: var lagerbreite NICHT neu setzen, sondern nur für Frontend Darstellung umrechnen!
            jQuery('#lagerbreite-lager').val(round(mmToInch(lagerbreite),1));//ACHTUNG: var lagerbreite NICHT neu setzen, sondern nur für Frontend Darstellung umrechnen!
        } else {
        jQuery('#lagerbreite').val(lagerbreite);
            jQuery('#lagerbreite-lager').val(lagerbreite);
    }
    }

    if (drehzahl < 1) {
        drehzahl = 1;
        jQuery('#drehzahl').val(drehzahl);
    }

    if (betriebsstunden > 24) {
        betriebsstunden = 24;
        jQuery('#betriebsstunden').val(betriebsstunden);
    } else if (betriebsstunden < 1) {
        betriebsstunden = 1;
        jQuery('#betriebsstunden').val(betriebsstunden);
    }


/*******************************************************************************
*   Berechnung
*******************************************************************************/
    var faktor_e, dichte_schmierstoff;
    var innendurchmesser_inch, aussendurchmesser_inch, lagerbreite_inch;
    var drehzahlkennwert;
    var schmierfrist_cp_4, schmierfrist_cp_8, schmierfrist_cp_15;
    var fettmenge_gp, abgabemenge_pro_tag_ml, smallest_belastung;
    var korrekturfaktor, t_relub, qf_zufuehrrate, fettmenge, korrigierte_laufzeit;

    // Konstanten
    faktor_e            = 2.71828183;
    dichte_schmierstoff	= 0.9;

    // In Inch umrechnen
    innendurchmesser_inch   = innendurchmesser / 25.4;
    aussendurchmesser_inch  = aussendurchmesser / 25.4;
    lagerbreite_inch        = lagerbreite / 25.4;

    // Drehzahlkennwert
    drehzahlkennwert = parseFloat(innendurchmesser) + parseFloat(aussendurchmesser);
    drehzahlkennwert = drehzahlkennwert / 2;
    drehzahlkennwert = drehzahlkennwert * parseFloat(drehzahl);

    // Schmierfristen
    schmierfrist_cp_4   = 0.00000100 * -6.00000000;
    schmierfrist_cp_4   = schmierfrist_cp_4 * drehzahlkennwert;
    schmierfrist_cp_4   = Math.pow(faktor_e, schmierfrist_cp_4);
    schmierfrist_cp_4   = schmierfrist_cp_4 * 6390.5;
    schmierfrist_cp_4   = schmierfrist_cp_4 * lager;

    schmierfrist_cp_8   = 0.00000100 * -6.00000000;
    schmierfrist_cp_8   = schmierfrist_cp_8 * drehzahlkennwert;
    schmierfrist_cp_8   = Math.pow(faktor_e, schmierfrist_cp_8);
    schmierfrist_cp_8   = schmierfrist_cp_8 * 16178;
    schmierfrist_cp_8   = schmierfrist_cp_8 * lager;

    schmierfrist_cp_15  = 0.00000100 * -6.00000000;
    schmierfrist_cp_15  = schmierfrist_cp_15 * drehzahlkennwert;
    schmierfrist_cp_15  = Math.pow(faktor_e, schmierfrist_cp_15);
    schmierfrist_cp_15  = schmierfrist_cp_15 * 32363;
    schmierfrist_cp_15  = schmierfrist_cp_15 * lager;

    // Fettmenge GP
    fettmenge_gp            = 0.005 * aussendurchmesser * lagerbreite;
    abgabemenge_pro_tag_ml  = 24 * (fettmenge_gp / schmierfrist_cp_15);

    // Betriebsbedingungen
    if (belastung <= stossbelastung) {
        smallest_belastung = belastung;
    } else {
        smallest_belastung = stossbelastung;
    }

    // Betriebskorrektur
    korrekturfaktor         = lagertemperatur * verunreinigung * smallest_belastung * einbaulage * fettzufuhr * aussenring;
    t_relub                 = (schmierfrist_cp_15 * korrekturfaktor) * (24 / betriebsstunden);
    qf_zufuehrrate          = 24 * (fettmenge_gp / t_relub);
    fettmenge               = mehrfachadapter * spendergroesse;
    korrigierte_laufzeit    = fettmenge / (qf_zufuehrrate * 30.4) * umgebungstemperatur;
	
/*******************************************************************************
*   Ausgabe
*******************************************************************************/
    var laufzeit;

    laufzeit = Math.round(korrigierte_laufzeit);

    if (laufzeit >= 0 && laufzeit <= 12) {
        jQuery('#ImageBoxTitle-Lager .laufzeit').text(laufzeit);
        jQuery('#ImageBoxContent-Lager img').show();
        jQuery('#ImageBoxContent-Lager img').attr('src', 'images/' + laufzeit + '.png');
        jQuery('#ImageBoxContent-Lager img').attr('alt', 'Einstellung ' + laufzeit);
    }

    // Bei Error keine Ausgabe
    if (jQuery('#errormessage-lager').text() != '') {
        jQuery('#ImageBoxTitle-Lager .laufzeit').text('?');
        jQuery('#ImageBoxContent-Lager img').show();
        jQuery('#ImageBoxContent-Lager img').attr('src', 'images/0.png');
        jQuery('#ImageBoxContent-Lager img').attr('alt', 'Einstellung 0');
        jQuery('#laufzeitError-lager').text('');
    } else {
        if (laufzeit >= 0 && laufzeit <= 12) {
            jQuery('#ImageBoxTitle-Lager .laufzeit').text(laufzeit);
            jQuery('#ImageBoxContent-Lager img').show();
            jQuery('#ImageBoxContent-Lager img').attr('src', 'images/' + laufzeit + '.png');
            jQuery('#ImageBoxContent-Lager img').attr('alt', 'Einstellung ' + laufzeit);
        }

        // Ausgabe unter 1 oder über 12
        if (laufzeit > 12) {
            jQuery('#ImageBoxTitle-Lager .laufzeit').text('?');
            jQuery('#ImageBoxContent-Lager img').hide();

            switch (lang) {
                case 'de' :
                    error = 'Bitte kleineren Spender w&auml;hlen';
                    break;
                case 'en' :
                case 'us' :
                    error = 'Please choose a smaller lubricator';
                    break;
                case 'fr' :
                    error = "Choisissez un graisseur plus petit";
                    break;
                case 'it' :
                	error = "Scegliere un lubrificatore pi&ugrave; piccolo";
                	break;
                case 'es' :
                    error = "Elige un lubricador m&aacute;s peque&ntilde;o";
                    break;
                case 'pl' :
                    error = 'Prosz&#281; wybierz mniejsz&#261; smarownic&#281;';
                    break;
                case 'jp' :
                    error = '&#23567;&#12373;&#12356;&#12469;&#12452;&#12474;&#12434;&#36984;&#25246;&#12367;&#12384;&#12373;&#12356;';
                    break;
                case 'ru' :
                    error = 'Выберите лубрикатор меньшего объема';
                    break;
                case 'cn' :
                    error = '请选择较小的注油器';
                    break;
                case 'pt' :
                    error = 'Por favor, escolha um lubrificador mais pequeno';
                    break;
            }
            jQuery('#laufzeitError-lager').html(error);
            
            if (spendergroesse == '13.5') {
                jQuery('#ImageBoxTitle-Lager .laufzeit').text('12');
                jQuery('#ImageBoxContent-Lager img').attr('src', 'images/12.png');
                jQuery('#ImageBoxContent-Lager img').attr('alt', 'Einstellung 12');
                jQuery('#ImageBoxContent-Lager img').show();
                jQuery('#laufzeitError-lager').html('');
            }

        } else if (laufzeit < 1) {
            jQuery('#ImageBoxTitle-Lager .laufzeit').text('?');
            jQuery('#ImageBoxContent-Lager img').hide();

            switch (lang) {
                case 'de' :
                    error = 'Bitte gr&ouml;sseren Spender w&auml;hlen';
                    break;
                case 'en' :
                case 'us' :
                    error = 'Please choose a larger lubricator';
                    break;
                case 'fr' :
                    error = "Choisissez un graisseur plus grand";
                    break;
                case 'it' :
                	error = "Scegliere un lubrificatore pi&ugrave; grande";
                	break;
                case 'es' :
                    error = "Elige un lubricador m&aacute;s grande";
                    break;
                case 'pl' :
                    error = 'Prosz&#281; wybierz wi&#281;ksz&#261; smarownic&#281;';
                    break;
                case 'jp' :
                    error = '&#22823;&#12365;&#12356;&#12469;&#12452;&#12474;&#12434;&#36984;&#25246;&#12367;&#12384;&#12373;&#12356;';
                    break;
                case 'ru' :
                    error = 'Выберите лубрикатор большего объема';
                    break;
               case 'cn' :
                    error = '请选择较大的注油器';
                    break;
               case 'pt' :
                    error = 'Por favor, escolha um lubrificador maior';
                    break;
            }
            jQuery('#laufzeitError-lager').html(error);

            if (spendergroesse == '225') {
                switch (lang) {
                case 'de' :
                    error = 'Bitte Mehrfachadapter w&auml;hlen';
                    break;
                case 'en' :
                case 'us' :
                    error = 'Please choose a manifold adapter';
                    break;
                case 'fr' :
                    error = "Choisissez un adaptateur multiple";
                    break;
                case 'it' :
                	error = 'Scegliere un adattatore multiplo';
                	break;
                case 'es' :
                    error = "Elija un adaptador m&uacute;ltiple";
                    break;
                case 'pl' :
                    error = 'Prosz&#281; wybierz adapter wielopunktowy';
                    break;
                case 'jp' :
                    error = '&#12510;&#12491;&#12517;&#12507;&#12540;&#12523;&#12489;&#12450;&#12480;&#12503;&#12479;&#12540;&#12434;&#36984;&#25246;&#12367;&#12384;&#12373;&#12356;';
                    break;
                case 'ru' :
                    error = 'Пожалуйста, выберете переходник коллектора';
                    break;
               case 'cn' :
                    error = '请选择多瓶出一油器板';
                    break;
               case 'pt' :
                    error = 'Por favor, escolha um adaptador de colector';
                    break;
            }
            jQuery('#laufzeitError-lager').html(error);
            }
        }
    }
}