jQuery(document).ready(function() {

    var param_lang, lang;

    // Sprache setzten
    param_lang = jQuery.url().param('lang');
    if (param_lang == null) {
        param_lang = 'de';
    }

    // Content laden
    jQuery('.mobile').hide();
	jQuery('#lager-content').show();

    // Default Ausgabe
	lang = param_lang;
    changeLang(param_lang);
    jQuery('#Languages span').removeClass('active');
    jQuery('#' + param_lang).addClass('active');

    // Popup schliessen
    jQuery('#Close').click(function() {
        jQuery('#Start_Popup').hide();
        jQuery('#Overlay').hide();
    });
	
	 jQuery('#CloseBox').click(function() {
        jQuery('#Start_Popup-neu').hide();
    });
	
	

    // Sprachwechsel
    jQuery('#Languages span').click(function() {

        var content, lang;

        jQuery('#Languages span').removeClass('active');
        jQuery(this).addClass('active');
        content  = jQuery('#Navigation span.active').attr('rel');
        if(content == "handschmierung"){
            calcHandschmierung();//für Metric/US Ausgabe Tabelle
        } else if(content == "lager"){
            calcLager();//für Metric/US Ausgabe Tabelle
        } else if(content == "ketten"){
            calcKetten();//für Metric/US Ausgabe Tabelle
        } else if(content == "gleitlagerAxial"){
            calcGleitlagerAxial();//für Metric/US Ausgabe Tabelle
        } else if(content == "gleitlagerRot"){
            calcGleitlagerRot();//für Metric/US Ausgabe Tabelle
        }
        lang = jQuery(this).text();
		jQuery('.content-box').hide();
		jQuery('#' + content + '-content').show();

        changeLang(lang);
		
		calcLager(lang);
		calcHandschmierung(lang);
		calcKetten(lang);
		calcGleitlagerAxial(lang);
		calcGleitlagerRot(lang);

        window.scroll(0, 1);

    });

    // Navigation
    jQuery('#Navigation span').click(function() {

        if (jQuery(this).attr('id') != 'nav_schmierstoffe') {
            var content, lang;

            jQuery('#Navigation span').removeClass('active');
            jQuery(this).addClass('active');

            content = jQuery(this).attr('rel');
            if(content == "handschmierung"){
                calcHandschmierung();//für Metric/US Ausgabe Tabelle
            } else if(content == "lager"){
                calcLager();//für Metric/US Ausgabe Tabelle
            } else if(content == "ketten"){
                calcKetten();//für Metric/US Ausgabe Tabelle
            } else if(content == "gleitlagerAxial"){
                calcGleitlagerAxial();//für Metric/US Ausgabe Tabelle
            } else if(content == "gleitlagerRot"){
                calcGleitlagerRot();//für Metric/US Ausgabe Tabelle
            }
            lang = jQuery('#Languages span.active').text();
            lang = param_lang;
    		jQuery('#Start_Popup-neu').hide();
    		jQuery('.content-box').hide();
    		jQuery('#' + content + '-content').show();
            jQuery('.content').show();

            jQuery('#NavigationBG').css('margin', '0px');
            window.scroll(0, 1);
        }
        
    });

});

/*******************************************************************************
*   Funktion ob es eine Zahl ist
*******************************************************************************/
function isNumeric(num, input) {
    var error, lang;
	
	// Sprache setzten
    lang = getLanguage();

	if (!isNaN(parseFloat(num)) && isFinite(num)) { // ist eine Zahl
        jQuery('#' + input).css('border', '1px solid #A5ACB2');
        //jQuery('#' + input).text(num);
        return true;
    } else {
        jQuery('#' + input).css('border', '1px solid #E40083');
        switch (lang) {
            case 'de' :
                error = 'Bitte &uuml;berprüfen Sie Ihre Angaben';
                break;
            case 'en' :
            case 'us' :
                error = 'Please check your information';
                break;
            case 'fr' :
                error = "S'il vous pla&icirc;t v&eacute;rifiez vos informations";
                break;
            case 'it' :
            	error = 'Verificare le informazioni';
            	break;
            case 'es' :
                error = 'Verificar la informaci&oacute;n';
                break;
            case 'pl' :
                error = 'Sprawd&#378; swoje informacje';
                break;
            case 'jp' :
                error = '&#20877;&#24230;&#24773;&#22577;&#12434;&#20837;&#12428;&#12394;&#12362;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;';
                break;
            case 'ru' :
                error = 'Пожалуйста проверьте вашу информацию';
                break;
            case 'cn' :
                error = '请查阅您的信息';
                break;
            case 'pt' :
                error = 'Por favor verifique a sua informação';
                break;
        }
        jQuery('.errormessage').html(error);
        return false;
    }
}

/*******************************************************************************
*   Funktion Runden
*******************************************************************************/
function round(x, n) {
    if (n < 1 || n > 14) return false;
    var e = Math.pow(10, n);
    var k = (Math.round(x * e) / e).toString();
    if (k.indexOf('.') == -1) k += '.';
    k += e.toString().substring(1);
    return k.substring(0, k.indexOf('.') + n+1);
}



/*******************************************************************************
*   Funktion Sprache auswaehlen
*******************************************************************************/
function getLanguage() {
    var id;

    jQuery('#Languages span').each(function() {
        if (jQuery(this).hasClass('active')) {
            id = jQuery(this).attr('id');
        }
    });

    if (id == null) {
        id = 'de';
    }

    return id;
}

/**
 * @return Number
 * @param Number celcius
 */
function celsiusToFahrenheit(celcius){
    //°F = °C * 1,8 + 32
    return celcius * 1.8 + 32;
}

/**
 *
 * @param gram
 * @returns {number}
 */
function gramToOz(gram){
    return gram / 28.349;
}

/**
 *
 * @param inch
 * @returns {number}
 */
function inchToMm(inch){
    return inch * 25.4;
}

/**
 *
 * @param mm
 * @returns {number}
 */
function mmToInch(mm){
    return mm / 25.4;
}

/**
 *
 * @param m
 * @returns {number}
 */
function mToFt(m){
    return m * 3.28;
}

/**
 *
 * @param ft
 * @returns {number}
 */
function ftToM(ft){
    return ft / 3.28;
}

